Index: pgadmin/frm/frmEditGrid.cpp
===================================================================
--- pgadmin/frm/frmEditGrid.cpp	(revision 7105)
+++ pgadmin/frm/frmEditGrid.cpp	(working copy)
@@ -1034,8 +1034,20 @@
 
     // don't care a lot about optimizing here; doing it line by line
     // just as sqlTable::DeleteRows does
-	while (i--)
-		sqlGrid->DeleteRows(delrows.Item(i), 1);
+    int show_continue_message = 1;
+    while (i--)
+    {
+        if (!sqlGrid->DeleteRows(delrows.Item(i), 1) &&
+            i > 0 &&
+            show_continue_message == 1)
+        {
+        	wxMessageDialog msg(this, wxString::Format(_("There was an error deleting the previous record.\nAre you sure you wish to delete the remaining %d rows ?"), i), _("Delete more records ?"), wxYES_NO | wxICON_QUESTION);
+        	if (msg.ShowModal() != wxID_YES)
+            	break;
+            else
+                show_continue_message = 0;
+        }
+    }
 
 
     sqlGrid->EndBatch();
